licensecheck (3.3.9-1ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 01 Dec 2025 13:54:07 +0100

licensecheck (3.3.9-1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Avoid Feature::Compat::Try/Class wrappers (LP #2002426)
      libfeature-compat-try-perl and libfeature-compat-class-perl are wrappers
      around (experimental) perl features, which allow falling back to an
      external perl module if those features are not yet available.
      In Ubuntu we want to avoid promoting those wrappers to "main", so we'll
      make use of the fallback by default, until those features are available
      in (non-experimental) perl.

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 28 Aug 2023 17:48:47 +0200

licensecheck (3.3.9-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * stop depend on libstrictures-perl, unused since v3.2.3
  * unfuzz patch
  * stop (build-)depend on liblist-someutils-perl

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 05 Aug 2023 11:39:43 +0200

licensecheck (3.3.5-1ubuntu1) lunar; urgency=medium

  * Avoid Feature::Compat::Try/Class wrappers (LP: #2002426)
    libfeature-compat-try-perl and libfeature-compat-class-perl are wrappers
    around (experimental) perl features, which allow falling back to an
    external perl module if those features are not yet available.
    In Ubuntu we want to avoid promoting those wrappers to "main", so we'll
    make use of the fallback by default, until those features are available
    in (non-experimental) perl.

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 17 Jan 2023 15:34:54 +0100

licensecheck (3.3.5-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * stop depend explicitly on libscalar-list-utils-perl,
    satisfied by perl even in oldstable
  * update copyright info: update coverage
  * (build-)depend on libstring-license-perl;
    stop (build-)depend on
    libarray-intspan-perl libre-engine-re2-perl
    libregexp-pattern-license-perl libregexp-pattern-perl;
    stop build-depend on
    libsoftware-license-perl libtest-without-module-perl;
    build-depend on libtest2-tools-command-perl
    (not libtest-command-simple-perl)
  * unfuzz patch

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 15 Jan 2023 13:42:28 +0100

licensecheck (3.3.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * (build-)depend on
    libfeature-compat-class-perl libfeature-compat-try-perl
    (not libobject-pad-perl libtry-tiny-perl)
  * declare compliance with Debian Policy 4.6.2
  * update git-buildpackage config:
    + use DEP-14 git branches
    + enable automatic DEP-14 branch name handling
    + add usage config
  * update copyright info: update coverage
  * build-depend on dh-sequence-bash-completion
    (not bash-completion
  * unfuzz patch

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 04 Jan 2023 01:34:16 +0100

licensecheck (3.3.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * (build-)depend on libobject-pad-perl
    (not libmoo-perl libmoox-struct-perl)
  * tighten lintian overrides
  * unfuzz patch

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 22 Mar 2022 17:42:30 +0100

licensecheck (3.2.14-2) unstable; urgency=medium

  * add explicit autopkgtest control file
    (avoid perl implicit checks,
    failing to set environment variable LICENSECHECK)

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 23 Nov 2021 01:57:31 +0100

licensecheck (3.2.14-1) unstable; urgency=medium

  [ upstream ]
  * new release
    + fix tests
      to use executable set in environment variable LICENSECHECK;
      closes: bug#997882, thanks to Paul Gevers

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 23 Nov 2021 00:04:24 +0100

licensecheck (3.2.13-1) unstable; urgency=medium

  [ upstream ]
  * new release
    + fix encoding tests flag as TODO tests using undecoded input:
      String::Copyright documented to accept only strings;
      closes: bug#994150, thanks to Adrian Bunk

  [ Jonas Smedegaard ]
  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 Oct 2021 13:52:21 +0200

licensecheck (3.2.12-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * stop mess with shebang: done upstream now
  * annotate test-only build-dependencies
  * use semantic newlines in long description and copyright fields

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Sep 2021 18:16:06 +0200

licensecheck (3.2.11-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * build-depend on libtest-without-module-perl
  * relax to recommend (not depend on) libre-engine-re2-perl
  * declare compliance with Debian Policy 4.6.0

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Aug 2021 11:30:04 +0200

licensecheck (3.2.9-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * stop (build-)depend on libsort-key-perl

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 Aug 2021 14:23:53 +0200

licensecheck (3.2.8-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)
    + stop treat : or :// as cruft
      closes: bug#840077, thanks to Vasudev Kamath

  [ Jonas Smedegaard ]
  * simplify source helper script copyright-check
  * relax versioned build-dependency on libregexp-pattern-license-perl
  * recommend recent libregexp-pattern-license-perl

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 Aug 2021 03:55:47 +0200

licensecheck (3.2.5-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * hardcode /usr/bin/perl in shebang

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 22 Jul 2021 15:13:00 +0200

licensecheck (3.2.4-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * tighten build-dependency on libregexp-pattern-license-perl

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 18 Jul 2021 00:23:58 +0200

licensecheck (3.2.3-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * tighten build-dependency on libregexp-pattern-license-perl;
    relax runtime dependency on libregexp-pattern-license-perl;
    stop build-depend on strictures

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 07 Jul 2021 22:28:51 +0200

licensecheck (3.2.1-1) experimental; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Jun 2021 09:04:47 +0200

licensecheck (3.2.0-1) experimental; urgency=medium

  [ upstream ]
  * new release
    + restore POD section OPTIONS (gone since v3.0.2);
      use Getopt::Long and Pod::Usage (not Getopt::Long::Descriptive);
      closes: bug#870782, thanks to David Bremner
    + stepwise: fix omit version for singleversion objects;
      closes: bug#982849, thanks to Sandro Mani

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on libpath-tiny-perl.
    + licensecheck: Drop versioned constraint on libpath-tiny-perl and
      libscalar-list-utils-perl in Depends.
    + licensecheck: Drop versioned constraint on devscripts in Replaces.
    + licensecheck: Drop versioned constraint on devscripts in Breaks.

  [ Jonas Smedegaard ]
  * copyright info: update coverage
  * use debhelper compatibility level 13 (not 12)
  * drop patch 1001, fixed upstream
  * (build-)depend on libio-interactive-perl;
    tighten (build-)dependency on libregexp-pattern-license-perl;
    stop (build-)depend on libgetopt-long-descriptive-perl
  * unfuzz patch 2001

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Jun 2021 00:18:47 +0200

licensecheck (3.1.1-2) unstable; urgency=medium

  * add patch 1001 to avoid unstable test;
    closes: bug#981410, thanks to Niko Tyni

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 06 Feb 2021 23:43:38 +0100

licensecheck (3.1.1-1) unstable; urgency=medium

  [ upstream ]
  * new release
    + fix avoid uninitialized value in local Apache-and-BSD pattern;
      closes: bug#902639, thanks to Sandro Mani

  [ Jonas Smedegaard ]
  * tighen (build-)dependency on libregexp-pattern-license-perl
  * declare compliance with Debian Policy 4.5.1
  * skip dh_update_autotools_config,
    to avoid messing with autotools files in testsuite

  [ gregor herrmann ]
  * refresh debian/upstream/metadata

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 17 Jan 2021 14:27:02 +0100

licensecheck (3.0.47-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Debian Janitor ]
  * set upstream metadata fields:
    Bug-Database, Repository, Repository-Browse

  [ Jonas Smedegaard ]
  * tighen (build-)dependency on libregexp-pattern-license-perl

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 17 May 2020 23:57:43 +0200

licensecheck (3.0.46-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * tighen (build-)dependency on libregexp-pattern-license-perl
  * copyright:
    + change general license to AGPL-3+
    + update copyright holders

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Mar 2020 01:08:02 +0100

licensecheck (3.0.45-1) unstable; urgency=medium

  [ upstream ]
  * new release
    + try fallback encoding per-file
      (i.e. restore explicit encoding for subsequent file);
      closes: bug#951726, thanks to Dominique Dumont

  [ Jonas Smedegaard ]
  * update debhelper;
    build-depend on debhelper-compat (not debhelper)
  * declare compliance with Debian Policy 4.5.0
  * tighen (build-)dependency on libregexp-pattern-license-perl
    (otherwise one SSLeay-related test fails)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 21 Feb 2020 16:53:35 +0100

licensecheck (3.0.44-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * fix watch file
  * build-depend on libencode-locale-perl libtest2-suite-perl
    libunicode-linebreak-perl;
    (build-)depend on libmoox-struct-perl;
    tighten (build-)dependency on libregexp-pattern-perl
    libregexp-pattern-license-perl;
    relax (build-)dependency on strictures;
    stop build-depend on libtest-requires-perl libuniversal-require-perl
  * make tests strict;
    fix set LC_ALL (not LANG) during tests;
    enable encoding tests

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 10 Feb 2020 03:53:24 +0100

licensecheck (3.0.42-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)
    + fix gracefully skip to next file on failure decoding a file
      (broken since release 3.0.38);
      closes: bug#948891, thanks to Dominique Dumont

  [ gregor herrmann ]
  * autopkgtests: skip use.t
  * autopkgtests: set PERL5LIB for smoke test.
  * autopkgtests: add empty debian/tests/pkg-perl/syntax-skip

  [ Jonas Smedegaard ]
  * build-depend on libtest-command-simple-perl
    (not libtest-script-perl)
  * autopkgtests: fix override path to licensecheck in environment;
    thanks to Gregor Hermann for the suggestion
  * tests: set licensecheck script executable
  * autopkgtests: skip t/encoding.t (fails to setup UTF-8 environment)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 01 Feb 2020 14:38:48 +0100

licensecheck (3.0.41-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 30 Jan 2020 01:46:24 +0100

licensecheck (3.0.40-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  * (build-)depend on libarray-intspan-perl liblist-someutils-perl

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 28 Jan 2020 11:32:09 +0100

licensecheck (3.0.39-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * (build-)depend on liblog-any-perl liblog-any-adapter-screen-perl
    libre-engine-re2-perl;
    tighten (build-)dependency on libregexp-pattern-license-perl
    libregexp-pattern-perl
  * declare compliance with Debian Policy 4.4.1
  * Update watch file:
    + Simplify version regex.
    + Rewrite usage comment.
  * enable testsuite
  * refresh patch 2001
  * export LANG=C.UTF-8 during tests
  * temporarily relax to ignore test failures

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Jan 2020 17:30:07 +0100

licensecheck (3.0.36-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Tighten (build-)dependency on libregexp-pattern-license-perl.
    (Build-)depend on libregexp-pattern-perl.
    Stop build-depend on libtest-roo-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 04 Nov 2018 06:01:12 +0100

licensecheck (3.0.31-3) unstable; urgency=medium

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Jonas Smedegaard ]
  * Simplify rules:
    + Stop resolve (build-)dependencies in rules file.
    + Use short-form dh sequencer (not cdbs).
      Stop build-depend on cdbs.
  * Update watch file:
    + Fix typo in usage comment.
    + Use substitution strings.
  * Declare compliance with Debian Policy 4.2.1.
  * Set Rules-Requires-Root: no.
  * Stop build-depend on dh-buildinfo.
  * Skip testsuite build-dependencies when bootstrapping.
  * Wrap and sort control file.
  * Update copyright info:
    + Extend coverage for main upstream author.
    + Fix list correct alternate source URLs.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 04 Nov 2018 05:41:47 +0100

licensecheck (3.0.31-2) unstable; urgency=medium

  * Fix patch and adapt build to install library-part as private
    library, to be multiarch-friendly.
    Closes: Bug#854233. Thanks to Johannes Schauer and Helmuth Grohne.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 17 Sep 2017 22:10:06 +0200

licensecheck (3.0.31-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    Highlights:
    + Stop ship Regexp::Pattern::License, now an independent
      distribution.

  [ Jonas Smedegaard ]
  * Tighten lintian overrides regarding License-Reference.
  * Declare compliance with Debian Policy 4.1.0.
  * Update copyright info: Use https protocol in file format URL.
  * Update package relations:
    + (Build-)depend on libregexp-pattern-license-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 17 Sep 2017 21:24:44 +0200

licensecheck (3.0.30-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    Highlights:
    + Tighten lots of license patterns to require descriptive prefix
      when only an abbreviation.
      Closes: Bug#862827. Thanks to Axel Beckert.
    + Fix license pattern ms_pl to detect MS Public License (not
      non-free MS Permissive License).
    + Add license pattern artistic_2.
    + Improve license patterns agpl epl.
    + Improve comment marker cleanup before copyright statement parsing.

  [ Jonas Smedegaard ]
  * Fix clean Makefile.old.
    Closes: Bug#854223. Thanks to Johannes Schauer.
  * Update package relations:
    + Relax to suggest (not recommend) bash-completion (and mention its
      use in long description).
      Closes: Bug#864353. Thanks to Ian Jackson.
  * Modernize cdbs: Check copyright in maintainer script (not during
    build).
  * Declare compliance with Debian Policy 4.0.0.
  * Update package relations:
    + Relax to (build-)depend unversioned on libmoo-perl
      libstring-copyright-perl.
    + Have (build-)dependency on libscalar-list-utils-perl fallback on
      recent perl.
    + Stop explicitly (build-)depend on (recent perl or)
      libexperimental-perl: Required version satisfied by perl even in
      oldstable.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 06 Jul 2017 15:50:46 +0200

licensecheck (3.0.29-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    Highlights:
    + Drop gpl+aladdin combo license: Too exotic.
    + Fix detect BSD licenses as bare name.
    + Fix don't choke on unspecificed BSD license.
    + Document Regexp::Pattern::License as a private module.
    + Add license patterns ofl aladdin rpsl mit_cmu mit_cmu_warranty.
    + Improve license patterns ftl mit_feh mit_enna cube eurosym libpng
      zlib zlib_acknowledgement.
    + Sort before enumerating ambiguously related combo licenses.
    + Streamline license parsing: Process loops of similar patterne.

  [ Jonas Smedegaard ]
  * Modernize Vcs-* fields:
    + Use git subdir (not cgit).
    + Add .git suffix for Vcs-Git URL.
  * Stop override lintian for
    package-needs-versioned-debhelper-build-depends: Fixed in lintian.
  * Update watch file: Tighten version regex.
  * Update copyright info: Extend coverage of Debian packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 24 Jan 2017 11:55:30 +0100

licensecheck (3.0.28-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    Highlights:
    + Fix avoid non-digit in version of license Artistic.
    + Fix delimit ambiguous license combos with "and/or" (not "or").
    + Fix parse whole file for test info-at-eof.h to not fail with
      String::Copyright 0.003003 or newer.
      Closes: Bug#838269. Thanks to Santiago Vila.
    + Fix exclude AGPL false positives.
    + Fix tighten runtime-requirement on Path::Tiny for visit().
    + Fix avoid detection of GPL/LGPL fulltext (rarely if ever used as
      license grant).
    + Fix detect license FSFULLR (was misdetected as bogus FSFULR).
    + Fix detect license MPL-2.0 (was misdetected as MPL-2.0 or AGPL).
    + Fix detect licenses mit_old mit_unspecified (was misdetected as
      mit_new).
    + Fix version identifier to use + only in machine-readable mode.
    + Fix detect dual licensing mit_new mit_old (and speed up partsing
      while at it).
    + Fix tighten detection of ISC license (was misdetecting curl).
    + Fix tighten license patterns curl mit_new (was misdetecting other
      MIT variants).
    + Apply fallback marker "UNKNOWN" after (not during) license
      detection.
    + Refactor to use new module Regexp::Pattern::License and extend to
      detect 23 new licenses (and streamline 48 of the existing ones):
      cc_by cc_by_nc cc_by_nc_nd cc_by_nc_sa cc_by_nd cc_cc0 cc_sp cube
      curl dsdp eurosym gfdl gfdl_niv icu mit_advertising mit_enna
      mit_feh mit_oldstyle mit_oldstyle_disclaimer
      mit_oldstyle_permission ms_rl ntp ntp_disclaimer.
    + Clean m4 dnl comment marker.

  [ Jonas Smedegaard ]
  * Suppress lintian license-problem-json-evil false positive.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Nov 2016 22:49:53 +0100

licensecheck (3.0.24-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    Highlights:
    + Fix apply options --check --ignore to full path (not basename).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Sep 2016 15:48:21 +0200

licensecheck (3.0.23-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    Highlights:
    + Fix skip parsing non-files (regression since v3.0.5).
    + Fix stop ignore options --check --ignore (regression since v3.0.5).
    + Use Path::Iterator::Rule.

  [ Jonas Smedegaard ]
  * Use local code for licensecheck of ourselves.
  * Update package relations:
    + Stop build-depend on devscripts.
    + (Build-)depend on libpath-iterator-rule-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Sep 2016 01:52:37 +0200

licensecheck (3.0.22-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    Highlights:
    + Fix have option --deb-machine imply option --deb-fmt.
    + Adjust SPDX-like shortnames to match Debian format.
    + Improve detection of GPL/LGPL/AGPL versions.
    + Stop merge differently cased owners.

  [ Jonas Smedegaard ]
  * Update package relations:
    + (Build-)depend on libsort-key-perl..
    + (Build-)depend on recent libscalar-list-utils-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 22 Aug 2016 00:15:23 +0200

licensecheck (3.0.21-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    Highlights:
    + Fix strip trailing newline from copyrights.
    + Fix strip copyright sign unconditionally.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Aug 2016 15:29:32 +0200

licensecheck (3.0.19-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    Highlights:
    + Fix strip copyright sign with option --deb-machine.
    + Add option --copyright-delimiter, including comma by default.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Aug 2016 15:10:50 +0200

licensecheck (3.0.18-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    Highlights:
    + Fix avoid bogus "generated-file" as SPDX license.
    + Have option --deb-machine imply option --deb-fmt.
    + Fix defaults for options --list-delimiter and --rfc822-delimiter
      (was one space too many).
    + Fix use NONE for no authors with option --deb-machine.
    + Fix stop use obsolete undocumented String::Copyright blocks
      method.

  [ Paul Wise ]
  * Add "Auto Generated" to the generated file detection.

  [ Jonas Smedegaard ]
  * Tighten (Build-)dependency on libstring-copyright-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 13 Aug 2016 02:46:31 +0200

licensecheck (3.0.15-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    Highlights:
    + Tighten full search (i.e. --lines=0) to truly parse whole file
      (not optimisticly stop search after first cluster of copyrights).

  [ Jonas Smedegaard ]
  * Tighten (Build-)dependency on libstring-copyright-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 11 Aug 2016 14:25:20 +0200

licensecheck (3.0.13-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Fix tighten (build-)dependency on libpath-tiny-perl and
    libstrictures-perl.
    Closes: Bug#832446. Thanks to Stuart Prescott.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Jul 2016 20:01:45 +0200

licensecheck (3.0.10-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    Highlights:
    + Use String::Copyright.

  [ Jonas Smedegaard ]
  * Update package relations:
    + (Build-)depend on libstring-copyright-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 24 Jul 2016 19:58:25 +0200

licensecheck (3.0.8-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    Highlights:
    + Use Getopt::Long::Descriptive.
    + Fix resolve regexes from options (broken since 3.0.0).
    + Rewrite testsuite to better integrate with CPAN.
    + Stop dereference symbolic links: Dangerous and non-intuitive
      (was possibly introduced in error intended to enable recursion).
      Closes: Bug#830115. Thanks to Sandro Mani.
    + Refactor to no longer call find (now uses Path::Tiny instead).
    + Avoid type constraints and all but one coercion, for a 30% speedup
      in initializing script compared to 3.0.1.
    + Detect "Generated with" string as auto-generated text.
    + Detect alternative representations for copyright sign and hyphen.

  [ Jonas Smedegaard ]
  * Update package relations:
    + (Build-)depend on libgetopt-long-descriptive-perl.
    + (Build-)depend on (recent perl or) libexperimental-perl.
    + Build-depend on libtest-requires-perl libtest-roo-perl
      libtest-script-perl.
    + Stop (build-)depend on libtype-tiny-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 24 Jul 2016 12:43:00 +0200

licensecheck (3.0.1-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  * Fix replace (not only break) older devscripts. Thanks to James McCoy.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 29 Jun 2016 16:47:48 +0200

licensecheck (3.0.0-1) unstable; urgency=low

  * Initial packaging release.
    Closes: bug#828830.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 28 Jun 2016 13:03:00 +0200
